Bug 589173 - for a newly created WAR resource, several of the package details (on the Content>Deployed subtab) are blank or incorrect
for a newly created WAR resource, several of the package details (on the Cont...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.3.1
All All
medium Severity low (vote)
: ---
: ---
Assigned To: Simeon Pinder
Sudhir D
:
: 583104 (view as bug list)
Depends On:
Blocks: jon24-content
  Show dependency treegraph
 
Reported: 2010-05-05 11:06 EDT by Ian Springer
Modified: 2013-08-05 20:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:53:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the issue (53.99 KB, image/png)
2010-05-05 11:06 EDT, Ian Springer
no flags Details
Helloworld ear file uploaded with correct information (140.79 KB, image/png)
2010-06-04 08:48 EDT, Sudhir D
no flags Details
testing after bug 596704 (172.63 KB, image/png)
2010-06-08 01:36 EDT, Sudhir D
no flags Details

  None (edit)
Description Ian Springer 2010-05-05 11:06:35 EDT
Created attachment 411644 [details]
screenshot showing the issue

The File Name, SHA256, and Owner fields are blank, and the File Size field is incorrect (it's 0, rather than the actual file size).

See attached screenshot.

To reproduce, create a new WAR child Resource via RHQ, then go to that WAR Resource's Content>Deployed subtab.
Comment 1 Simeon Pinder 2010-05-26 04:54:00 EDT
This issue is a bit bigger than initially thought:
i) fields are invalid because agent side discovery had no way of mapping .war/.ear contents to specific RHQ PackageVersion instances.
ii) Some of the gui data was being pulled from incorrect places
iii) UI input fields for versioning were missing when inserting initial content instance. 
iv) Merge was not sufficiently connecting discovered and existing definitions.

The fix: 
i)Modify the discovery plugin element to additionally calculate package digests and update the newly discovered resources report returned.
ii)Modify the client side UI elements to take versioning details and to calculate package versioning information from the uploaded file elements.
iii)Modify the content discovery merge to lookup existing package version and installed package details an connect them to the discovered element information determined by the agent.

Available in successful master build >= 355, with 
commit hash: 5db6f43e511700a4de58dace6461a81b308ecc70 and 06136ac6f6ea806c3887cf2635ab0feb6b91378a.
Comment 2 Simeon Pinder 2010-05-26 04:58:09 EDT
When testing, the content upload and deploy process is asynchronous so there is a delay before newly uploaded packages are subsequently discovered and connected to correct version information.  

Deploying to an appserver typicaly shows the history items in progress.  For updates to installed content, the asynchronous updates and final completion is not as clear.
Comment 3 Simeon Pinder 2010-05-27 13:26:09 EDT
*** Bug 583104 has been marked as a duplicate of this bug. ***
Comment 4 Sudhir D 2010-06-04 08:47:25 EDT
I have verified this against the beta build jon-server-2.4.0.Beta0.

I'm attaching the screenshot.
Comment 5 Sudhir D 2010-06-04 08:48:52 EDT
Created attachment 421221 [details]
Helloworld ear file uploaded with correct information
Comment 6 Jay Shaughnessy 2010-06-04 14:36:37 EDT
This work was revised during the fix for 596704. See that bz for more info.
Comment 7 Sudhir D 2010-06-08 01:35:22 EDT
Verified this again on the 596704 environment and now the version shows as sha256. It shows a long sting for my app, but that's just mine. 

Marking this bug as verified. Also, attached the screenshot.
Comment 8 Sudhir D 2010-06-08 01:36:10 EDT
Created attachment 422029 [details]
testing after bug 596704
Comment 9 Jay Shaughnessy 2010-06-08 09:10:41 EDT
The sha256 is being set as the version, that is the correct behavior for an app that was not assigned a version manually (during, say, a Create New or Content update) and also does not have a manifest file including version information inside.
Comment 10 Corey Welton 2010-08-12 12:53:30 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.